#!/usr/bin/python3
"""Generate latex code for the impulse report
"""
__author__ = "Miguel Hernández Cabronero <mhernandez@deic.uab.cat>"
__date__ = "03/09/2019"

if __name__ == '__main__':
    for x in range(8):
        for y in range(8):
            print("\\centering")
            print("\\includegraphics[width=0.2\linewidth]{"
                  f"./impulse/impulse_x{x}_y{y}.png"
                  r"}\phantom{mmm}")
            print("\\includegraphics[width=0.2\linewidth]{"
                  f"./impulse/response_x{x}_y{y}.png"
                  r"}\\")
            print("\\textbf{Impulse (left) and response (right) for "
                  f"x={x}, y={y}}}"
                  r"\\[1cm]")
            print("\\par")
            print(r"\ \\[1cm]")
            print()
